summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
author이한종/On-Device Lab(SR)/Engineer/삼성전자 <hanjoung.lee@samsung.com>2019-04-10 06:11:35 (GMT)
committer이성재/On-Device Lab(SR)/Principal Engineer/삼성전자 <sj925.lee@samsung.com>2019-04-10 06:11:35 (GMT)
commit9190311d3a1fe6bb323ed104b6701714ba11670a (patch)
tree170f85898d034c064b448714f6b082baaf02f182
parent2399e58f09b7b3fb54bde746dee54eb02f49870b (diff)
downloadnnfw-9190311d3a1fe6bb323ed104b6701714ba11670a.zip
nnfw-9190311d3a1fe6bb323ed104b6701714ba11670a.tar.gz
nnfw-9190311d3a1fe6bb323ed104b6701714ba11670a.tar.bz2
[neurun] Framework test with acl_neon backend (#4961)
Enable framework test with acl_neon backend. This is a workaround since adding another job in CI has a lot more to do. Signed-off-by: Hanjoung Lee <hanjoung.lee@samsung.com>
-rwxr-xr-xscripts/standalone/test_arm_neurun_acl_cl.sh3
-rwxr-xr-xscripts/standalone/test_arm_neurun_acl_neon.sh34
-rw-r--r--tests/nnapi/nnapi_gtest.skip.armv7l-linux.neurun.acl_neon88
-rw-r--r--tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt13
4 files changed, 138 insertions, 0 deletions
diff --git a/scripts/standalone/test_arm_neurun_acl_cl.sh b/scripts/standalone/test_arm_neurun_acl_cl.sh
index 094fc3f..4dec085 100755
--- a/scripts/standalone/test_arm_neurun_acl_cl.sh
+++ b/scripts/standalone/test_arm_neurun_acl_cl.sh
@@ -30,4 +30,7 @@ source ./tests/scripts/test_driver.sh \
--ldlibrarypath="$ROOT_PATH/Product/out/lib/neurun:$ROOT_PATH/Product/out/lib" \
--reportdir="$ROOT_PATH/report/acl_cl" .
+# TODO acl_neon test is called here temporally, remove this once nnfw_ci calls it directly.
+source ./scripts/standalone/test_arm_neurun_acl_neon.sh
+
popd > /dev/null
diff --git a/scripts/standalone/test_arm_neurun_acl_neon.sh b/scripts/standalone/test_arm_neurun_acl_neon.sh
new file mode 100755
index 0000000..c50972a
--- /dev/null
+++ b/scripts/standalone/test_arm_neurun_acl_neon.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+[[ "${BASH_SOURCE[0]}" != "${0}" ]] && echo "Please don't source ${BASH_SOURCE[0]}, execute it" && return
+
+CURRENT_PATH="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+ROOT_PATH="$CURRENT_PATH/../../"
+
+# Model download server setting
+if [[ -z $MODELFILE_SERVER ]]; then
+ echo "Need model file server setting"
+ exit 1
+fi
+
+set -e
+
+pushd $ROOT_PATH > /dev/null
+
+export OP_BACKEND_ALLOPS=acl_neon
+
+cp -v ./Product/out/unittest/nnapi_gtest.skip.armv7l-linux.neurun.acl_neon ./Product/out/unittest/nnapi_gtest.skip
+export EXECUTOR=Linear
+source ./tests/scripts/test_driver.sh \
+ --frameworktest_list_file=tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib/neurun:$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_neon" .
+
+export EXECUTOR=Dataflow
+source ./tests/scripts/test_driver.sh \
+ --frameworktest_list_file=tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib/neurun:$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_neon" .
+
+
+popd > /dev/null
diff --git a/tests/nnapi/nnapi_gtest.skip.armv7l-linux.neurun.acl_neon b/tests/nnapi/nnapi_gtest.skip.armv7l-linux.neurun.acl_neon
new file mode 100644
index 0000000..c6f7249
--- /dev/null
+++ b/tests/nnapi/nnapi_gtest.skip.armv7l-linux.neurun.acl_neon
@@ -0,0 +1,88 @@
+#
+# Following tests will be skipped on armv7l-linux acl_neon
+#
+# Not support operations
+TrivialTest.AddTwo
+TrivialTest.AddThree
+TrivialTest.BroadcastAddTwo
+TrivialTest.BroadcastMulTwo
+ValidationTestCompilation.SetPreference
+ValidationTestCompilation.CreateExecution
+ValidationTestCompilation.Finish
+ValidationTestExecution.SetInput
+ValidationTestExecution.SetOutput
+ValidationTestExecution.SetInputFromMemory
+ValidationTestExecution.SetOutputFromMemory
+ValidationTestExecution.StartCompute
+ValidationTestExecution.EventWait
+GeneratedTests.add*
+GeneratedTests.argmax*
+GeneratedTests.depth_to_space*
+GeneratedTests.depthwise_conv2d_quant*
+GeneratedTests.depthwise_conv
+GeneratedTests.dequantize
+GeneratedTests.embedding_lookup
+GeneratedTests.embedding_lookup_2d_nnfw
+GeneratedTests.embedding_lookup_4d_nnfw
+GeneratedTests.equal_ex*
+GeneratedTests.exp_ex*
+GeneratedTests.floor_
+GeneratedTests.greater_equal_ex*
+GeneratedTests.hashtable_lookup*
+GeneratedTests.l2_normalization*
+GeneratedTests.l2_pool*
+GeneratedTests.local_response_norm*
+GeneratedTests.less_ex*
+GeneratedTests.logical_and_ex*
+GeneratedTests.logical_or_ex*
+GeneratedTests.logistic*
+GeneratedTests.lsh_projection*
+GeneratedTests.lstm*
+GeneratedTests.mobilenet*
+GeneratedTests.mul*
+GeneratedTests.neg*
+GeneratedTests.notequal*
+GeneratedTests.prelu_ex*
+GeneratedTests.reduce_min*
+GeneratedTests.relu1*
+GeneratedTests.relu6*
+GeneratedTests.relu*
+GeneratedTests.resize_bilinear*
+GeneratedTests.rnn*
+GeneratedTests.rsqrt*
+GeneratedTests.mean*
+GeneratedTests.pad*
+GeneratedTests.space_to_depth*
+GeneratedTests.sqrt_ex*
+GeneratedTests.squared_difference_ex*
+GeneratedTests.svdf*
+GeneratedTests.tanh_
+GeneratedTests.batch_to_space*
+GeneratedTests.div_*
+GeneratedTests.space_to_batch*
+GeneratedTests.squeeze*
+GeneratedTests.strided_slice*
+GeneratedTests.sub*
+GeneratedTests.transpose*
+GeneratedTests.cast_ex*
+GeneratedTests.gather_ex*
+GeneratedTests.strided_slice_ex*
+GeneratedTests.reduce_max_ex*
+GeneratedTests.reduce_sum_ex*
+GeneratedTests.topk_v2*
+# Unexpected result
+GeneratedTests.split*
+GeneratedTests.transpose_conv*
+GeneratedTests.pack*
+GeneratedTests.unpack*
+generatedtests.logical_not_ex*
+# Need to be fixed
+GeneratedTests.fully_connected_float_1_nnfw
+GeneratedTests.fully_connected_quant8_2
+GeneratedTests.reshape
+GeneratedTests.reshape_quant8
+GeneratedTests.reshape_quant8_weights_as_inputs
+GeneratedTests.reshape_weights_as_inputs
+GeneratedTests.fully_connected_float_4d_simple
+GeneratedTests.logical_not_ex_1D
+GeneratedTests.logical_not_ex_4D
diff --git a/tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt b/tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt
new file mode 100644
index 0000000..382a9c7
--- /dev/null
+++ b/tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt
@@ -0,0 +1,13 @@
+add/1D
+add/4D
+average_pool_2d
+concat
+conv_2d
+depthwise_conv_2d
+fullyconnected/fc1
+max_pool_2d
+reshape
+softmax
+tanh
+MODELS/inception_module
+MODELS/mobilenet